Bug 117 - Infinite loop consuming nearly 100% of system resources when we join a domain where a user has a very long name
Infinite loop consuming nearly 100% of system resources when we join a domain...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.0preX
Other Linux
: P2 regression
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 09:52 UTC by Marc Kaplan
Modified: 2005-08-24 10:16 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Kaplan 2003-05-23 09:52:18 UTC
Windows 2k/2k3 DCs allows you to specify a pre win2k name and a postwin2k name.
The prewin2k name is limited to 20 characters -- but the post win2k name can be
well over 100 characters (maybe 256?). When we join an ads domain and run a
getent passwd and a user with a 100 character name exists, we get the following
error message, looping several thousand times per second effectively consuming
100% of the system resources. This goes on forever until winbindd is killed.

Here is the message: ERROR: string overflow by 4 in string_sub(%U, 96)

I know that this is an extreme case -- but I know this kind of string handling
problems often have multiple ways to foul up.
Comment 1 Jim McDonough 2003-05-28 18:43:59 UTC
Fixed in CVS.  lp_string now calls alloc_sub_basic instead of standard_sub_basic.  
Comment 2 Gerald (Jerry) Carter 2005-02-07 07:57:33 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:16:01 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.